// Written by Robert C. Kirby
// Copyright 2005 by The University of Chicago
// Distributed under the LGPL license
// This work is partially supported by the US Department of Energy
// under award number DE-FG02-04ER25650
#ifndef INVERT_H
#define INVERT_H
#include <exception>
#include <blitz/array.h>

namespace FIAT {
  // inplace inversion. assumes argument is stored contiguously.
  void invert( blitz::Array<double,2> & );

  void mat_mat_mul( blitz::Array<double,2> & , blitz::Array<double,2> & ,
		    blitz::Array<double,2> & );

}
#endif
