// Written by Robert C. Kirby
// Copyright 2005 by The University of Chicago
// Distributed under the LGPL license
// This work is partially supported by the US Department of Energy
// under award number DE-FG02-04ER25650
#ifndef FIAT_P1NC_H
#define FIAT_P1NC_H

#include <blitz/array.h>
#include "FIAT_functional.hpp"
#include "FIAT_shapes.hpp"
#include "FIAT_dualbasis.hpp"
#include "FIAT_finiteelement.hpp"
#include "FIAT_rcp.hpp"


namespace FIAT {
  ;

  class P1NCDualBasis;
  class P1NCElement;

  class P1NCDualBasis : public DualBasis
  {
  public:
    P1NCDualBasis( RCP<PolynomialBase> PB );
  };

  class P1NCElement : public FiniteElement
  {
  public:
    P1NCElement( int shp );
  };
}

#endif
